DataBolsa docs
Referência da APIDados de mercadoÍndices

Composição teórica do índice (carteira teórica vigente)

Constituintes em `data`; código e data de vigência em `meta`.

GET
/v1/indices/{code}/composition
AuthorizationBearer <token>

In: header

Path Parameters

codestring

Código do índice, ex.: IBOV, IFIX, IBXX, SMLL, IDIV, ICON. Ver listIndices.

Length1 <= length

Response Body

curl -X GET "https://api.databolsa.com/v1/indices/string/composition"
{
  "data": [
    {
      "ticker": "string",
      "weight": 0,
      "theoretical_quantity": 0
    }
  ],
  "meta": {
    "next_cursor": "string",
    "count": 0,
    "total": 0,
    "subject": {
      "property1": "string",
      "property2": "string"
    },
    "code": "string",
    "effective_date": "string"
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}